GET /playlists/{id}

listennotes.com

Summary: Fetch a playlist's info and items (i.e., episodes or podcasts).
Operation ID: getPlaylistById
Auth: unknown
Description

A playlist can be an episode list (i.e., all items are episodes) or a podcast list (i.e., all items are podcasts), which is essentially the same as those created via listennotes.com/listen/. This endpoint fetches a list of items (i.e., episodes or podcasts) in the playlist. You can use the **last_pub_date_ms** parameter to do pagination and fetch more items. A playlist can be **public** (discoverable on ListenNotes.com), **unlisted** (accessible to anyone who knows the playlist id), or **private** (accessible to its owner). You can fetch all playlists created by you, and **public** / **unlisted** playlists created by others.

Parameters (5)

X-ListenAPI-Key (string, header, required)

Get API Key on listennotes.com/api

id (string, path, required)

Playlist id (always 11 characters, e.g., m1pe7z60bsw). You can get the podcast id from the url of a playlist, e.g., m1pe7z60bsw is the playlist id of listennotes.com/listen/podcasts-about-podcasting-m1pe7z60bsw

last_timestamp_ms (integer, query, optional, default: 0)

For playlist items pagination. It's the value of **last_timestamp_ms** from the response of last request. If it's 0 or not specified, just return the latest or the oldest 20 items, depending on the value of the **sort** parameter.

sort (string, query, optional, default: recent_added_first)

How do you want to sort playlist items?

Constraints: {'enum': ['recent_added_first', 'oldest_added_first', 'recent_published_first', 'oldest_published_first']}

type (string, query, optional, default: episode_list)

The type of this playlist, which should be either **episode_list** or **podcast_list**.

Constraints: {'enum': ['episode_list', 'podcast_list']}

No probe data for this endpoint yet.